Name:           libav
Version:        12.2.ge915d4e
Release: 	%mkrel 1
Summary:        Cross-platform solution to record, convert and stream audio/video
Group:          Video
Url:            http://libav.org
Source0:	%name-12.2-20171210-e915d4e.tar.xz
Source1:	VERSION
Source2:	libav-snapshot.sh
License:        GPLv2
BuildRequires:	yasm-devel
BuildRequires:	make
BuildRequires:  pkgconfig
BuildRequires:	git
BuildRequires:	openssl-devel
BuildRequires:	libva-devel >= 0.31.0
BuildRequires:	%{_lib}vdpau-devel
BuildRequires:  zlib-devel
BuildRequires: 	frei0r-plugins-devel
BuildRequires:  gnutls-devel
BuildRequires:	%{_lib}bs2b-devel
BuildRequires: 	libcdio-paranoia-devel
BuildRequires:  libdc1394-devel
BuildRequires: 	%{_lib}faac-devel
BuildRequires:	fdk-aac-devel
BuildRequires:  freetype2-devel
BuildRequires:  gsm-devel
BuildRequires:	%{_lib}ilbc-devel
BuildRequires:  lame-devel
BuildRequires: 	%{_lib}opencore-amrnb-devel
BuildRequires:  %{_lib}opencore-amrwb-devel
BuildRequires:	%{_lib}vo-aacenc-devel
BuildRequires:  %{_lib}vo-amrwbenc-devel
BuildRequires: 	opencv-devel
BuildRequires:  opus-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	librtmp-devel
BuildRequires:  %{_lib}schroedinger-devel
BuildRequires:  speex-devel
BuildRequires:  libtheora-devel
BuildRequires:	twolame-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libvpx-devel
BuildRequires:  %{_lib}webp-devel
BuildRequires:  libxcb-devel
BuildRequires:  %{_lib}wavpack-devel
BuildRequires:	nvenc >= 7.1.0
BuildRequires:	x264-devel
BuildRequires:	x265-devel
BuildRequires:  %{_lib}xvid4-devel
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:  %{_lib}SDL1.2-devel
# conflicts with pkgconfig(libopenjp2) and opencv-devel in pclos
#BuildRequires:  openjpeg-devel
Provides:	%name-tools = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libav is a complete, cross-platform solution to decode, encode, record,
convert and stream audio and video.

This package contains the avconv audio-video encoder, and the avprobe
stream analyzer.  They support most existing file formats (AVI, MPEG, OGG,
Matroska, ASF...) and encoding formats (MPEG, DivX, MPEG4, AC3, DV...).
Additionally, it contains the qt-faststart utility which rearranges
Quicktime files to facilitate network streaming.

This package provides the 'static' versions of avconv, avprobe and
qt-faststart-libav for convenience.

%prep
%setup -qn libav
cp %SOURCE1 .

./configure \
	--prefix=/usr \
	--libdir=%{_libdir}/libav  \
	--shlibdir=%{_libdir}/libav  \
	--extra-cflags="-I/usr/include/nvenc" \
	--disable-debug \
	--disable-shared \
	--enable-static \
	--enable-nonfree \
	--enable-gpl \
	--enable-version3 \
	--enable-avplay \
	--enable-avresample \
	--enable-bzlib \
	--enable-frei0r \
	--enable-gnutls \
	--enable-gray \
	--enable-libbs2b \
	--enable-libcdio \
	--enable-libdc1394 \
	--enable-libfaac \
	--enable-libfdk-aac \
	--enable-libfontconfig \
	--enable-libfreetype \
	--enable-libgsm \
	--enable-libilbc \
	--enable-libmp3lame \
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
    	--enable-libopencv \
	--enable-libopus \
	--enable-libpulse \
	--enable-librtmp \
	--enable-libschroedinger \
	--enable-libspeex \
	--enable-libtheora \
	--enable-libtwolame \
	--enable-libvo-aacenc \
	--enable-libvo-amrwbenc \
	--enable-libvorbis \
	--enable-libvpx \
	--enable-libwavpack \
	--enable-libwebp \
	--enable-libx264 \
	--enable-libx265 \
	--enable-libxcb \
	--enable-libxcb-shm \
	--enable-libxcb-xfixes \
	--enable-libxvid \
	--enable-openssl \
	--enable-nvenc \
	--enable-vaapi \
	--enable-vdpau \
#	--enable-libopenjpeg

%build
%make
make tools/qt-faststart

%install
rm -rf %buildroot
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0755 tools/qt-faststart %buildroot/%{_bindir}/qt-faststart-libav

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%files
%doc Changelog COPYING.* CREDITS LICENSE README.md
%{_bindir}/avconv
%{_bindir}/avplay
%{_bindir}/avprobe
%{_bindir}/qt-faststart*
%{_datadir}/avconv/*.avpreset
%{_mandir}/man1/av*.1.*
%exclude %{_libdir}
%exclude %{_includedir}


%changelog
* Sun Dec 10 2017 Zen Subz <techars21 at gmail dot com> - 12.2.ge915d4e-1pclos2017
- Originally imported from https://sourceforge.net/projects/unitedrpms
- Modified build as static libav-tools for PCLinuxOS
